Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query
Class FTOpt

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.FTOpt

    public final class FTOpt

extends ExprInfo

This class contains all ftcontains options. It can be used by different query implementations.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Nested Class Summary
`static class` | `FTOpt.FTMode` Words mode.

Field Summary
`static int` | `CS` Sensitive flag.
`static int` | `DC` Diacritics flag.
`static int` | `FZ` Fuzzy flag.
`static int` | `LC` Lowercase flag.
`byte[]` | `ln` Language.
`FTTokenizer` | `sb` Fulltext tokenizer.
`static int` | `ST` Stemming flag.
`Set` | `sw` Stopwords.
`static int` | `TS` Thesaurus flag.
`static int` | `UC` Uppercase flag.
`static int` | `WC` Wildcards flag.

Constructor Summary
`FTOpt()`

Method Summary
`void` | `compile(FTOpt opt)` Compiles the fulltext options, inheriting the parent.options.
`int` | `contains(FTTokenizer tk, FTPos pos, byte[] sub)` Checks if the first token contains the second fulltext term.
`boolean` | `is(int f)` Returns the specified flag.
`void` | `merge(FTOpt ftopt1)` Merge to FTOpts.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`void` | `set(int f, boolean v)` Sets the specified flag.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CS

    public static final int CS

  Sensitive flag.

  See Also:
    Constant Field Values

### LC

    public static final int LC

  Lowercase flag.

  See Also:
    Constant Field Values

### UC

    public static final int UC

  Uppercase flag.

  See Also:
    Constant Field Values

### DC

    public static final int DC

  Diacritics flag.

  See Also:
    Constant Field Values

### ST

    public static final int ST

  Stemming flag.

  See Also:
    Constant Field Values

### WC

    public static final int WC

  Wildcards flag.

  See Also:
    Constant Field Values

### FZ

    public static final int FZ

  Fuzzy flag.

  See Also:
    Constant Field Values

### TS

    public static final int TS

  Thesaurus flag.

  See Also:
    Constant Field Values

### sw

    public Set sw

  Stopwords.

### ln

    public byte[] ln

  Language.

### sb

    public final FTTokenizer sb

  Fulltext tokenizer.

Constructor Detail

### FTOpt

    public FTOpt()

Method Detail

### compile

    public void compile(FTOpt opt)

  Compiles the fulltext options, inheriting the parent.options.

  Parameters:
    `opt` - parent fulltext options

### set

    public void set(int f,
                    boolean v)

  Sets the specified flag.

  Parameters:
    `f` - flag to be set
    `v` - value

### is

    public boolean is(int f)

  Returns the specified flag.

  Parameters:
    `f` - flag index
  Returns:
    flag

### contains

    public int contains(FTTokenizer tk,
                        FTPos pos,
                        byte[] sub)

  Checks if the first token contains the second fulltext term.

  Parameters:
    `tk` - ft tokenizer
    `pos` - ft position filter
    `sub` - query token
  Returns:
    number of occurrences

### merge

    public void merge(FTOpt ftopt1)

  Merge to FTOpts.

  Parameters:
    `ftopt1` - FTOpt to merge

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Specified by:
    `plan` in class `ExprInfo`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - exception

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD